## indicator-sound 12.10.2+14.04.20140401-1linuxmint1

=== debian/changelog ===
indicator-sound (12.10.2+14.04.20140401-1linuxmint1) qiana; urgency=medium

  * Use pavucontrol if it's installed 

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Jun 2014 12:03:36 +0100

indicator-sound (12.10.2+14.04.20140401-0ubuntu1) trusty; urgency=low

  [ Michael Terry ]
  * Use correct dbus name for Unity Greeter.

  [ Ted Gould ]
  * Don't unref the objects in the test
  * Check the username has been gotten before using it. (LP: #1297078)
  * Make unity-greeter-session-broadcast a suggests to avoid pulling it
    into seeds
  * Remove mute from the phone greeter

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 01 Apr 2014 23:21:06 +0000

indicator-sound (12.10.2+14.04.20140324-0ubuntu1) trusty; urgency=low

  [ Michael Terry ]
  * Sync volume and mute settings with AccountsService. (LP: #840777)

  [ Ted Gould ]
  * Add an apport hook for debugging
  * Synchronize process management across indicators
  * Export currently running player to Accounts Service
  * Create players on the phone greeter based on the accounts service
    data
  * Allow the phone greeter player to control the running player in the
    session.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 24 Mar 2014 15:03:16 +0000

indicator-sound (12.10.2+14.04.20140320-0ubuntu1) trusty; urgency=low

  [ Lars Uebernickel ]
  * Scale volume in notifications when allow-amplified-volume is set
    (LP: #1293163)
  * Use audio-volume-mute-blocking-panel instead of *-blocked-panel

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 20 Mar 2014 08:58:30 +0000

indicator-sound (12.10.2+14.04.20140318-0ubuntu1) trusty; urgency=low

  [ Lars Uebernickel ]
  * Show a red icon in the panel when a sound is playing while mute is
    on (LP: #1291530)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 18 Mar 2014 10:01:01 +0000

indicator-sound (12.10.2+14.04.20140313-0ubuntu1) trusty; urgency=low

  [ Lars Uebernickel ]
  * Don't show player sections on the greeter and lock screen (LP:
    #1280378)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 13 Mar 2014 15:33:11 +0000

indicator-sound (12.10.2+14.04.20140311.1-0ubuntu1) trusty; urgency=low

  [ Lars Uebernickel ]
  * Add desktop_lockscreen profile

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 11 Mar 2014 18:26:29 +0000

indicator-sound (12.10.2+14.04.20140305-0ubuntu1) trusty; urgency=low

  [ Lars Uebernickel ]
  * Honor com.canonical.indicator.sound visible (LP: #829648)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 05 Mar 2014 08:44:14 +0000

indicator-sound (12.10.2+14.04.20140224-0ubuntu1) trusty; urgency=low

  [ Sebastien Bacher ]
  * Remove the new added allow-applified key, it's moved to shared
    schemas, that way the other desktop components don't need to depends
    on indicator-sound only to read that settings

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 24 Feb 2014 14:33:07 +0000

indicator-sound (12.10.2+14.04.20140220-0ubuntu1) trusty; urgency=low

  [ Lars Uebernickel ]
  * Add support for amplified volumes Add a settings key "allow-
    amplified-volume" which controls whether the volume slider stops at
    100% or PA_VOLUME_UI_MAX. unity-control-center will provide a ui for
    this key.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 20 Feb 2014 18:13:42 +0000

indicator-sound (12.10.2+14.04.20140207-0ubuntu1) trusty; urgency=low

  [ Unit193 ]
  * Drop the recommends to suggests for the control centers and system
    settings so that flavors that don't seed those packages aren't stuck
    with them.

  [ Ted Gould ]
  * Adding acceptance tests and merge review policies.

  [ CI bot ]
  * Adding acceptance tests and merge review policies

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 07 Feb 2014 16:26:07 +0000

indicator-sound (12.10.2+14.04.20140124-0ubuntu1) trusty; urgency=low

  [ Robert Ancell ]
  * Use unity-control-center if it is available. (LP: #1257505)

  [ Ted Gould ]
  * Own the server capabilities so we clean it up.

  [ Lars Uebernickel ]
  * Don't write 'interested-media-players' on startup
    IndicatorSound.Service read that gsettings key and inserted the
    players desktop ids into a MediaPlayerList, which emits "player-
    added" every time a player is added. This patch makes the service
    keep track of whether players are added because it is syncing the
    key or when a player appeared on the bus. .

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 408

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 24 Jan 2014 11:00:18 +0000

indicator-sound (12.10.2+14.04.20131125-0ubuntu1) trusty; urgency=low

  [ Ted Gould ]
  * Switching around the config files. (LP: #1185565)
  * Fix license information.
  * Test name watching utilities.

  [ Lars Uebernickel ]
  * Call Raise() when a media player is already running Before, it was
    repeatedly launching the player. This patch also make the menu item
    insensitive if the player can't be raised. (LP: #710824)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 404

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 25 Nov 2013 03:56:15 +0000

indicator-sound (12.10.2+14.04.20131029.1-0ubuntu1) trusty; urgency=low

  [ Dmitrijs Ledkovs ]
  * Define "ubiquity" indicator profile, reusing the greeter object. (LP:
    #1241539)

  [ Charles Kerr ]
  * When we can't connect to pulse, wait a moment before retrying. (LP:
    #1244010)
  * In Service's volume_changed() function, explicitly instantiate the
    GVariant to avoid leaking it. See the description in bug #1244468
    for before & after C code and more information. (LP: #1244468)
  * Test that MediaPlayer's icon property isn't NULL before we serialize
    it. (LP: #1229612)

  [ Sebastien Bacher ]

