=== src/CMakeLists.txt ===
--- 
+++ 
@@ -43,6 +43,7 @@
   DEPENDS
     sound-menu
     volume-control
+    volume-control-pulse
     media-player
     media-player-list
     mpris2-interfaces
@@ -50,6 +51,11 @@
 )
 vala_add(indicator-sound-service
   volume-control.vala
+)
+vala_add(indicator-sound-service
+  volume-control-pulse.vala
+  DEPENDS
+    volume-control
 )
 vala_add(indicator-sound-service
   media-player.vala
@@ -154,6 +160,7 @@
 
 add_definitions(
   -w
+  -DG_LOG_DOMAIN="indicator-sound"
 )
 
 add_library(
@@ -163,8 +170,8 @@
 
 target_link_libraries(
   indicator-sound-service-lib
-  ${PULSEAUDIO_LIBRARIES}
   ${SOUNDSERVICE_LIBRARIES}
+  -lm
 )
 
 ###########################
@@ -187,6 +194,7 @@
 target_link_libraries(
   indicator-sound-service-bin
   indicator-sound-service-lib
+  ${PULSEAUDIO_LIBRARIES}
 )
 
 ###########################
