=== debian/changelog ===
indicator-sound (12.10.2+16.04.20160714-1linuxmint1) sarah; urgency=medium

  * Use pavucontrol if it's installed.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 14 Jul 2016 12:18:11 +0200

indicator-sound (12.10.2+16.04.20160406-0ubuntu1) xenial; urgency=medium

  * Support multiple desktop names in $XDG_CURRENT_DESKTOP. (LP:
    #1502480)

 -- Dmitry Shachnev <mitya57@gmail.com>  Wed, 06 Apr 2016 19:05:13 +0000

indicator-sound (12.10.2+16.04.20160317.1-0ubuntu1) xenial; urgency=medium

  [ Xavi Garcia Mena ]
  * Changed to code to get the root icon. Now it does not take into
    account the source output, as in fact that code was not
    differentiating between any particular case. The code was added in
    the past in the case that we should differentiate between bluetooth,
    headphones, etc... but it was never used. (LP: #1555831)

 -- Xavi Garcia <xavi.garcia.mena@canonical.com>  Thu, 17 Mar 2016 10:06:26 +0000

indicator-sound (12.10.2+16.04.20160307-0ubuntu1) xenial; urgency=medium

  [ Xavi Garcia Mena ]
  * Add changes to show up the microphone controls when an external
    microphone is detected.
  * This branch sets the last running player using accounts service
    instead of gsettings. It also includes a new class
    AccountsServiceAccess, to centralize all accesses to account service
    properties.
  * To avoid going too below the warning level we set the volume when
    showing the warning dialog to the loud_volume level.

 -- Xavi Garcia <xavi.garcia.mena@canonical.com>  Mon, 07 Mar 2016 10:13:55 +0000

indicator-sound (12.10.2+16.04.20160216-0ubuntu1) xenial; urgency=medium

  [ Matthias Klose ]
  * Build using libgee-0.8-dev instead of libgee-dev (LP: #1502094)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 16 Feb 2016 15:44:36 +0000

indicator-sound (12.10.2+16.04.20160210-0ubuntu1) xenial; urgency=medium

  [ Xavi Garcia Mena ]
  * This branch modifies the sound indicator on the desktop to only show
    the playback controls for those players that are active or (if any
    is running) the last one being active. (LP: #1213907)

 -- Xavi Garcia <xavi.garcia.mena@canonical.com>  Wed, 10 Feb 2016 13:22:08 +0000

indicator-sound (12.10.2+16.04.20160120-0ubuntu1) xenial; urgency=medium

  [ Xavi Garcia Mena ]
  * Fixing the playback controls when we have the playlist as the last
    item in the player section. As number of items was 3 when having the
    playlist section we were not updating the player controls and the
    next/previous buttons were not working at all. (LP: #1245495)

 -- Xavi Garcia <xavi.garcia.mena@canonical.com>  Wed, 20 Jan 2016 17:31:39 +0000

indicator-sound (12.10.2+16.04.20160113.1-0ubuntu1) xenial; urgency=medium

  [ Charles Kerr ]
  * Be more selective about when to show and dismiss the High Volume
    Warning Dialog. (LP: #1504065)

  [ charles kerr ]
  * Be more selective about when to show and dismiss the High Volume
    Warning Dialog. (LP: #1504065)

 -- Charles Kerr <charles.kerr@canonical.com>  Wed, 13 Jan 2016 20:37:58 +0000

indicator-sound (12.10.2+16.04.20160105.2-0ubuntu1) xenial; urgency=medium

  [ Xavi Garcia Mena ]
  * Adds an action to signal the UI to sync the current volume when we
    are waiting for the user to confirm or reject the high volume
    notification. (LP: #1520548, #1512798)
  * This branch just readds the OSD notifications code, that was
    reverted in trunk as the corresponding silo was also rolled back
    after landing.
  * This branch re-adds the integration tests using gmenuharness.  Added
    OSD notifications to show output source when the volume or source
    change (LP: #1382548, LP: #1415480, LP: #1484589)  debian/control:
    Added the following build dependencies: cmake-extras (>= 0.4),
    google-mock (>= 1.6.0+svn437), libqtdbusmock1-dev (>= 0.3),
    libqtdbustest1-dev, libunity-api-dev, pulseaudio, qt5-default,
    qtbase5-dev, qtbase5-dev-tools, qtdeclarative5-dev, qtdeclarative5-
    dev-tools Added gmenuharness library for integration tests support.
    New Files: src/gmenuharness/CMakeLists.txt
    src/gmenuharness/MatchResult.cpp src/gmenuharness/MatchUtils.cpp
    src/gmenuharness/MenuItemMatcher.cpp
    src/gmenuharness/MenuMatcher.cpp
    include/unity/gmenuharness/MatchResult.h
    include/unity/gmenuharness/MatchUtils.h
    include/unity/gmenuharness/MenuItemMatcher.h
    include/unity/gmenuharness/MenuMatcher.h Added integration tests
    using gmenuharness New Files: tests/dbus-types/CMakeLists.txt
    tests/dbus-types/com.ubuntu.AccountsService.Sound.xml tests/dbus-
    types/dbus-types.h tests/dbus-
    types/org.PulseAudio.Ext.StreamRestore1.xml tests/dbus-
    types/org.freedesktop.Accounts.xml tests/dbus-
    types/org.freedesktop.DBus.Properties.xml tests/dbus-
    types/org.freedesktop.Notifications.xml tests/dbus-
    types/org.gtk.Actions.xml tests/dbus-types/pulseaudio-volume.cpp
    tests/dbus-types/pulseaudio-volume.h
    tests/integration/CMakeLists.txt tests/integration/indicator-sound-
    test-base.cpp tests/integration/indicator-sound-test-base.h
    tests/integration/main.cpp tests/integration/test-indicator.cpp
    tests/integration/touch-stream-restore.table
    tests/integration/utils/dbus-pulse-volume.cpp
    tests/integration/utils/dbus-pulse-volume.h
    tests/integration/utils/get-volume.cpp tests/integration/utils/set-
    volume.cpp tests/service-mocks/CMakeLists.txt tests/service-
    mocks/DBusPropertiesNotifier.cpp tests/service-
    mocks/DBusPropertiesNotifier.h tests/service-mocks/accounts-
    mock/AccountsDefs.h tests/service-mocks/accounts-
    mock/AccountsMock.cpp tests/service-mocks/accounts-
    mock/AccountsMock.h tests/service-mocks/accounts-
    mock/AccountsServiceSoundMock.cpp tests/service-mocks/accounts-
    mock/AccountsServiceSoundMock.h tests/service-mocks/accounts-
    mock/CMakeLists.txt tests/service-mocks/accounts-
    mock/com.ubuntu.AccountsService.Sound.Mock.xml tests/service-

