=== debian/control ===
--- 
+++ 
@@ -5,25 +5,37 @@
 XSBC-Original-Maintainer: Conor Curran <conor.curran@canonical.com>
 Build-Depends: debhelper (>= 9.0),
                cmake,
+               cmake-extras (>= 0.4),
                dbus,
-               dbus-test-runner (>= 14.04.0+14.04.20140226),
+               dbus-test-runner (>> 14.04.0+14.04.20150120.1),
                dh-translations,
                gir1.2-accountsservice-1.0,
                gnome-common,
+               google-mock (>= 1.6.0+svn437),
+               gsettings-ubuntu-schemas,
                autotools-dev,
                valac (>= 0.20),
                libaccountsservice-dev,
-               libdbustest1-dev (>= 14.04.1),
+               libdbustest1-dev (>= 15.04.0),
                libgirepository1.0-dev,
-               libglib2.0-dev (>= 2.22.3),
+               libglib2.0-dev (>= 2.32.0),
                libgtest-dev,
+               libqtdbusmock1-dev (>= 0.3),
+               libqtdbustest1-dev,
+               libunity-api-dev,
                liburl-dispatcher1-dev,
-               libpulse-dev (>= 0.9.18),
+               libpulse-dev (>= 1:4.0-0ubuntu21),
                libpulse-mainloop-glib0 (>= 0.9.18),
                libnotify-dev,
-               libgee-dev,
+               libgee-0.8-dev,
                libxml2-dev,
+               pulseaudio,
                python3-dbusmock,
+               qt5-default,
+               qtbase5-dev,
+               qtbase5-dev-tools,
+               qtdeclarative5-dev,
+               qtdeclarative5-dev-tools,
 Standards-Version: 3.9.4
 Homepage: https://launchpad.net/indicator-sound
 # If you aren't a member of ~indicator-applet-developers but need to upload
@@ -38,7 +50,7 @@
          ${misc:Depends},
          pulseaudio,
          gsettings-ubuntu-schemas (>= 0.0.1+14.04.20140224),
-Recommends: unity-control-center | gnome-control-center | ubuntu-system-settings | pavucontrol,
+Recommends: unity-control-center | gnome-control-center | ubuntu-system-settings | pavucontrol | mate-media,
             accountsservice,
 Suggests: unity-greeter-session-broadcast,
 Description: System sound indicator.
