=== debian/rules ===
--- 
+++ 
@@ -17,3 +17,6 @@
 	install -m 644 debian/indicator-sound-crashdb.conf debian/indicator-sound/etc/apport/crashdb.conf.d/
 	dh_install --fail-missing
 
+# For live test logs:
+#override_dh_auto_test:
+#	ARGS=-V dh_auto_test
