=== debian/watch ===
version=3
https://launchpad.net/indicator-sound/+download .*/indicator-sound-([0-9.]+)\.tar\.gz
